::PlayerManager <- Entities.FindByClassname(null, "tf_player_manager");
::GetPlayerUserID <- function(player)
{
    if (player != null)
    {
        return NetProps.GetPropIntArray(PlayerManager, "m_iUserID", player.entindex());
    }
    return null
}
::MaxPlayers <- MaxClients().tointeger();

::GetAlivePlayerCount <- function()
{
    local aliveCount = 0;
    for (local i = 1; i <= MaxPlayers ; i++)
    {
        local player = PlayerInstanceFromIndex(i)
        if (player == null) continue
        local id = GetPlayerUserID(player)
        if (id in Lives && Lives[id] > 0)
        {
            aliveCount++
        }
    }
    //printl(aliveCount)
    return aliveCount;
}